* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

:root {
    --font-size-header-h1: 2.25rem;
    --font-size-menu-h2: 1.25rem;
    --font-size-h3: 1rem;
    --font-weight-h1-h2: 600; /* Wert innerhalb des in @font-face definierten Bereichs */
    --font-weight-h3: 800;
    --text-color: #090909;
    --a-color: rgba(9, 9, 9, 0.65);
    --a-active-color: #f10c2f;
    --color-background: #ffffff;
    --header-height: 95px;
    --margin-top: 0;
    --transition: all .25s ease-in-out;
}


html {
    font-family: 'NotoSans', sans-serif;
    background-color: var(--color-background);
}

/* html, body - footer sticks at the end of page */
html, body {
    min-height: 100vh;

    > footer {
        position: sticky;
        top: 100vh;

        @media (pointer: coarse) and (orientation: portrait) {
            top: 95vh;
        }

        @media (pointer: coarse) and (orientation: landscape) {
            top: 93vh;
        }
    }
}

body {
    overflow-y: scroll;

    @media (pointer: coarse) {
        margin-inline: 10px;
    }
}

li {
    list-style: none;
    display: inline-block;
}

a {
    color: var(--a-color);
    text-decoration: none;
}

a:focus, a:hover {
    color: var(--a-active-color);
}

a.active {
    color: var(--a-active-color);
    font-weight: var(--font-weight-h1-h2);
}

h1, h2 {
    color: var(--text-color);
    font-weight: var(--font-weight-h1-h2);
}

h1 {
    font-size: var(--font-size-header-h1);
}

h2 {
    font-size: var(--font-size-menu-h2);
}

h3 {
    font-size: var(--font-size-h3);
    font-weight: var(--font-weight-h3);
}

p {
    line-height: 165%;
    color: var(--text-color);
}

/**
 * Header
 */
.header-container-landing {
    display: flex;
    flex-flow: column nowrap;
    width: 100vw;
    height: 85vh;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.header-container-default {
    display: flex;
    flex-flow: row nowrap;
    width: 100vw;
    height: 10vh;
    justify-content: flex-start;
}


.header-logo {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
}

.header-logo-wrapper {
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
}

.typewriter-on {
    display: flex;
    width: fit-content;
    height: fit-content;
    margin: 5px 0 0 0;
    /*overflow: hidden; !* Ensures the content is not revealed until the animation *!*/
    border-right: .10em solid var(--text-color); /* The typwriter cursor */
    animation:
            blink-caret .75s step-end infinite;
}

.typewriter-on span {
    color: var(--color-background);
    margin: -4px 0 0 -2px;
}

.typewriter-off {
    display: none;
}

/* The typewriter cursor effect */
@keyframes blink-caret {
    from, to { border-color: transparent }
    50% { border-color: var(--text-color); }
}


.menu-wrapper {
    display: flex;
    justify-content: space-between;
    height: min-content;
    align-items: baseline;

}

.menu-list {
    font-size: 1rem;
    display: flex;
    flex-flow: row nowrap;
    gap: 20px;
    /*margin-top: 10px;*/
}


.main {
    display: flex;
    flex-flow: column;
    width: 100%;
    align-items: center;
}



.main-blog {
    display: flex;
    width: 50%;
    flex-flow: column nowrap;
    align-items: center;
}

.main-blog-article {
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
    gap: 15px;
}

.main-blog-article-image {
    width: 100%;
}

.main-blog-article-image img {
    width: 100%;
    object-fit: contain;
}

.main-blog-article-text {
    width: 100%;
}